Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class JUnitTest

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.BaseTest
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.JUnitTest

All Implemented Interfaces:
  java.lang.Cloneable

public class JUnitTest
extends BaseTest
implements java.lang.Cloneable

Run a single JUnit test.

The JUnit test is actually run by `JUnitTestRunner`. So read the doc comments for that class :)

Since:
  Ant 1.2
See Also:
  `JUnitTask`, `JUnitTestRunner`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`destDir, errorProperty, failureProperty, filtertrace, fork, formatters, haltOnError, haltOnFail, ifProperty, unlessProperty`

Constructor Summary
`JUnitTest()`
`JUnitTest(java.lang.String name)`
`JUnitTest(java.lang.String name, boolean haltOnError, boolean haltOnFailure, boolean filtertrace)`

Method Summary
`java.lang.Object` | `clone()`
`long` | `errorCount()`
`long` | `failureCount()`
`FormatterElement[]` | `getFormatters()`
`java.lang.String` | `getName()` Get the name of the test class.
`java.lang.String` | `getOutfile()` Get the name of the output file
`java.util.Properties` | `getProperties()`
`long` | `getRunTime()`
`long` | `runCount()`
`void` | `setCounts(long runs, long failures, long errors)`
`void` | `setName(java.lang.String value)` Set the name of the test class.
`void` | `setOutfile(java.lang.String value)` Set the name of the output file.
`void` | `setProperties(java.util.Hashtable p)`
`void` | `setRunTime(long runTime)`
`boolean` | `shouldRun(Project p)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`addFormatter, getErrorProperty, getFailureProperty, getFiltertrace, getFork, getHaltonerror, getHaltonfailure, getTodir, setErrorProperty, setFailureProperty, setFiltertrace, setFork, setHaltonerror, setHaltonfailure, setIf, setTodir, setUnless`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitTest

    public JUnitTest()

### JUnitTest

    public JUnitTest(java.lang.String name)

### JUnitTest

    public JUnitTest(java.lang.String name,
                     boolean haltOnError,
                     boolean haltOnFailure,
                     boolean filtertrace)

Method Detail

### setName

    public void setName(java.lang.String value)

  Set the name of the test class.

### setOutfile

    public void setOutfile(java.lang.String value)

  Set the name of the output file.

### getName

    public java.lang.String getName()

  Get the name of the test class.

### getOutfile

    public java.lang.String getOutfile()

  Get the name of the output file

  Returns:
    the name of the output file.

### setCounts

    public void setCounts(long runs,
                          long failures,
                          long errors)

### setRunTime

    public void setRunTime(long runTime)

### runCount

    public long runCount()

### failureCount

    public long failureCount()

### errorCount

    public long errorCount()

### getRunTime

    public long getRunTime()

### getProperties

    public java.util.Properties getProperties()

### setProperties

    public void setProperties(java.util.Hashtable p)

### shouldRun

    public boolean shouldRun(Project p)

### getFormatters

    public FormatterElement[] getFormatters()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`
  Since:
    Ant 1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.